Groovy Documentation

## org.codehaus.groovy.binding
[Java] Class AggregateBinding

    java.lang.Object
      org.codehaus.groovy.binding.AggregateBinding

All Implemented Interfaces:
  BindingUpdatable

    public class AggregateBinding

An aggregation of multiple bindings

Authors:
  Danno Ferrin

Since:
  Groovy 1.6

Field Summary
`protected java.util.Set` | `bindings`
`protected boolean` | `bound`

Method Summary
`void` | `addBinding(BindingUpdatable binding)`
`void` | `bind()`
`void` | `rebind()`
`void` | `removeBinding(BindingUpdatable binding)`
`void` | `reverseUpdate()`
`void` | `unbind()`
`void` | `update()`

Methods inherited from class java.lang.Object
java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Field Detail

### bindings

    protected java.util.Set bindings

### bound

    protected boolean bound

Method Detail

### addBinding

    public void addBinding(BindingUpdatable binding)

### bind

    public void bind()

### rebind

    public void rebind()

### removeBinding

    public void removeBinding(BindingUpdatable binding)

### reverseUpdate

    public void reverseUpdate()

### unbind

    public void unbind()

### update

    public void update()

Groovy Documentation